"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license.
// See LICENSE in the project root for license information.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * A webpack plugin for generating a list of embedded dependencies. Embedded dependencies are third-party packages which are being
 * bundled into your released code and are often times subject to license, security, and other legal requirements. This plugin
 * aims to make it easier to generate a list of embedded dependencies and their associated metadata, so they can be analyzed by additional tools.
 *
 * @remarks
 * The plugin also includes the ability to generate a secondary asset which contains the license text for each embedded dependency into a single file called
 * THIRD-PARTY-NOTICES.html. This is a common legal requirement for large companies deploying commercial services/products containing open source code.
 *
 * @packageDocumentation
 */
const EmbeddedDependenciesWebpackPlugin_1 = __importDefault(require("./EmbeddedDependenciesWebpackPlugin"));
__exportStar(require("./EmbeddedDependenciesWebpackPlugin"), exports);
exports.default = EmbeddedDependenciesWebpackPlugin_1.default;
//# sourceMappingURL=index.js.map